Status: Rejected Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2010-08-25 Assigned To: Karsten Dambekalns
Updated: 2012-03-14 Due date:
Sprint:
PHP Version:
Has patch: No
Complexity:
Subject: Refactor type-conversion into ...Utility\TypeHandling
Description

At some places througout the code, types are converted from String to specific types.
Example:
Classes/MVC/Controller/Argument.php around line 419.
and in Fluid this is done as well.

Related issues:
related to TYPO3.Flow - Bug # 9093: UUID generated but object is null Resolved 2010-08-25

History
#1 - 2010-10-15 08:48 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 13

#2 - 2010-11-11 13:27 - Karsten Dambekalns
- Tracker changed from Bug to Task

#3 - 2010-11-11 13:33 - Karsten Dambekalns
- Status changed from Accepted to Needs Feedback

I cannot find more places where this would obviously be used in Fluid (or elsewhere) aside from the Argument class. Any pointers?

And TypeHandling is static so far, but for object transformation we need at least a property mapper and persistence. I'm open for anything... :)

#4 - 2010-11-16 16:42 - Karsten Dambekalns
- Target version changed from 1.0 alpha 13 to 1.0 alpha 14

#5 - 2011-08-29 21:36 - Karsten Dambekalns
- Target version changed from 1.0 alpha 14 to 1230

#6 - 2011-10-20 01:43 - Karsten Dambekalns
- Target version deleted (1230)

#7 - 2012-03-14 11:30 - Christian Müller
- Status changed from Needs Feedback to Rejected
- Has patch set to No
It seems to me this is obsolete with the PropertyMapper.
